#!/usr/bin/make -f
export PYBUILD_NAME=enzyme
# The tests require the download of a 180MB file, which isn't allowed during
# Debian package build, so let's disable it.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

# Keep this override so that the tests can be run simply by commenting the
# export line above. pybuild sets the proxy to a non-existent one by default,
# to avoid downloads during the package build. That's fine, but we only run
# the tests manually.
# Note: add python-yaml, python-requests, python3-yaml and python3-requests
# to Build-Depends if you want to run the tests.
override_dh_auto_test:
	http_proxy='' https_proxy='' dh_auto_test
